@ECHO off
REM
REM THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
REM
REM  5724-I63, 5724-H88, 5655-N02, 5733-W70 (C) COPYRIGHT International Business Machines Corp. 2005, 2011
REM
REM  The source code for this program is not published or otherwise divested
REM  of its trade secrets, irrespective of what has been deposited with the
REM  U.S. Copyright Office.
REM
REM ----------------------------------------------------------------------------

SETLOCAL

SET TOOL_DIR=%~dp0

set PARAMETER= 

IF "%1"=="" GOTO PRINT_USAGE

:Loop
IF "%1"=="" GOTO Continue
IF "%1" == "-help" GOTO PRINT_USAGE
IF "%1" == "-?" GOTO PRINT_USAGE
SET PARAMETER=%PARAMETER% %1
SHIFT
GOTO Loop
:Continue

SET PARAMETER=%PARAMETER% GlobalAssetMigrated
ECHO %PARAMETER%
CALL %TOOL_DIR%_internalInstallPackage.bat %PARAMETER%
IF %ERRORLEVEL% == 0 ECHO Migrating global data for package is successful.
GOTO END

:PRINT_USAGE
ECHO.
ECHO Usage: migrateProcessAppGlobalData [options...] ^<package name^> 
ECHo.
ECHO Options:
ECHO   -?, -help                             print this message
ECHO   -h ^<host^>, -host ^<host^>               host of the process server where to deploy the package
ECHO   -t ^<port^>, -port ^<port^>               port of the process server where to deploy the package
ECHO   -u ^<username^>, -username ^<username^>   username of the process server administrator
ECHO   -p ^<password^>, -password ^<password^>   user password (unencrypted)
ECHO   -profileName ^<name^>                   profile name
ECHO   -nodeName ^<name^>                      node name in an ND Environment
ECHO   -serverName ^<name^>                    server name in an ND Environment
ECHO.
GOTO END

:END
EXIT /B %ERRORLEVEL%
