@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=


:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user" SET USERNAME_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host" SET HOSTNAME=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port" SET SERVERPORT=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" GOTO help

IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG% -conntype SOAP -host %HOSTNAME% -port %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/artifactIndexUpdate.jy"

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar" -user %USERNAME_ARG% -password %PASSWORD_ARG%  -f %WAS_HOME%"/BPM/Lombardi/tools/search-index/artifactIndexUpdate.jy"    

GOTO END


:help
ECHO Usage:
ECHO.
ECHO    artifactIndexUpdate.bat [options...]
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>    user name of admin user
ECHO    -p ^<password^>, -password ^<password^>    user password (unencrypted)
ECHO    -host                                      server host name, must be used with port
ECHO    -port                                      server SOAP port number


GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL